package com.qianhe.service;

import com.qianhe.domain.SjGfjsZsdwkhpjZb;

import java.util.List;

/**
 * 规范建设-基层单位考核评价主Service接口
 *
 * @author qianhe
 * @date 2024-07-24
 */
public interface ISjGfjsJcdwkhpjZbService
{
    /**
     * 查询规范建设-基层单位考核评价主
     *
     * @param id 规范建设-基层单位考核评价主主键
     * @return 规范建设-基层单位考核评价主
     */
    public SjGfjsZsdwkhpjZb selectSjGfjsZsdwkhpjZbById(Long id);

    /**
     * 查询规范建设-基层单位考核评价主列表
     *
     * @param sjGfjsZsdwkhpjZb 规范建设-基层单位考核评价主
     * @return 规范建设-基层单位考核评价主集合
     */
    public List<SjGfjsZsdwkhpjZb> selectSjGfjsZsdwkhpjZbList(SjGfjsZsdwkhpjZb sjGfjsZsdwkhpjZb);

    /**
     * 新增规范建设-基层单位考核评价主
     *
     * @param sjGfjsZsdwkhpjZb 规范建设-基层单位考核评价主
     * @return 结果
     */
    public int insertSjGfjsZsdwkhpjZb(SjGfjsZsdwkhpjZb sjGfjsZsdwkhpjZb);

    /**
     * 修改规范建设-基层单位考核评价主
     *
     * @param sjGfjsZsdwkhpjZb 规范建设-基层单位考核评价主
     * @return 结果
     */
    public int updateSjGfjsZsdwkhpjZb(SjGfjsZsdwkhpjZb sjGfjsZsdwkhpjZb);

    /**
     * 批量删除规范建设-基层单位考核评价主
     *
     * @param ids 需要删除的规范建设-基层单位考核评价主主键集合
     * @return 结果
     */
    public int deleteSjGfjsZsdwkhpjZbByIds(Long[] ids);

    /**
     * 删除规范建设-基层单位考核评价主信息
     *
     * @param id 规范建设-基层单位考核评价主主键
     * @return 结果
     */
    public int deleteSjGfjsZsdwkhpjZbById(Long id);

    SjGfjsZsdwkhpjZb selectSjGfjsZsdwkhpjZb(SjGfjsZsdwkhpjZb sjGfjsZsdwkhpjZb);
}
